from django.contrib import admin

# Register your models here.
from .models import Assignment, Course

class CourseAdmin(admin.ModelAdmin):
    model = Course
    search_fields = ['course_code', 'course_title', 'section']
    list_display = ('course_code', 'course_title', 'section')

class AssignmentAdmin(admin.ModelAdmin):
    model = Assignment
    search_fields = ['name', 'description', 'course']
    list_display = ('name', 'description', 'passing_score', 'max_points', 'course')

admin.site.register(Course, CourseAdmin)
admin.site.register(Assignment, AssignmentAdmin)